Resynchronize Deployment
- POST /deployments/{deployment_id}/_resync
Immediately resynchronizes the search index for the selected deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Responses
The deployment resync operation executed successfully.
-
createdstringrequired -
The ids of documents created in the index by index version
-
updatedstringrequired -
The ids of documents updated in the index by index version
-
deletedstringrequired -
The ids of documents deleted from the index by index version
-
errorsstringrequired -
The regions where document synchronization may have failed
The deployment resync operation failed for deployment {deployment_id}. (code: deployments.resync_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response